jQuery(document).ready(function($) {

    //query url string
    function getUrlParameter(name) {
        name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
        var regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
        var results = regex.exec(location.search);
        return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
    };

    //debug mode
    var t_mode = getUrlParameter("debug"),
        t_time = getUrlParameter("time");
    if(t_time <   1 ) {t_time = 300;}

    var WPidleBox = {
        idleWaitTime :  t_mode ? ( t_time ) :(getACIDLEvalue.idleWaitTime * 1000 * 60)  ,
        // waiting (1000 = 1 sec)
        idleRepeat: getACIDLEvalue.idleRepeat,  //can repeat
        allowidle: getACIDLEvalue.allowidle,    //can do
        use_GA: getACIDLEvalue.use_GA,          //use ga track
        GCat: getACIDLEvalue.GCat,              //ga category
        GAction: getACIDLEvalue.GAction ,       //ga event
        GLable: getACIDLEvalue.GLable ,         //ga label
        contentHTML: getACIDLEvalue.contentHTML , //idle content
        idleContent: false,     //default close
        idleTimer: 0,
        idleEvents:"mousemove mousedown mousewheel DOMMouseScroll keypress touchmove MSPointerMove", //判斷的動作

        //div box
        idleCSS_wrap :  $("#achang-idle-wrap"),
        idleCSS_content :  $(".achang-idle-content"),

        init: function() {
            if(WPidleBox.allowidle){
                WPidleBox.addListenerMulti(window , WPidleBox.idleEvents , WPidleBox.resetIdleTimer);
                this.startIdleTimer();
            }
        },
        addListenerMulti: function(element, eventNames, listener){
          var events = eventNames.split(' ');
          for (var i=0, iLen=events.length; i<iLen; i++) {
            element.addEventListener(events[i], listener, false);
          }
        },
        startIdleTimer: function() {
            WPidleBox.idleTimer = window.setTimeout(WPidleBox.idleOpen,  WPidleBox.idleWaitTime);
        },
        resetIdleTimer: function(e) {
            window.clearTimeout(WPidleBox.idleTimer);
            WPidleBox.idleClose();
        },
        //open idel, timer to reset
        idleOpen: function() {
            if (WPidleBox.allowidle) {
                //show
                WPidleBox.idleCSS_content.html(WPidleBox.contentHTML);
                WPidleBox.idleCSS_wrap.css("display","block");
                WPidleBox.idleCSS_content.css({
                    top : (window.innerHeight - WPidleBox.idleCSS_content.outerHeight()) / 2
                });

                //window resize
                $(window).resize(function() {
                    if( window.innerHeight > 300){
                        WPidleBox.idleCSS_content.css({
                            top : (window.innerHeight - WPidleBox.idleCSS_content.outerHeight()) / 2
                        });
                    }

                });

                //btn close
                $('#achang-idle-close-btn').click(function(e){
                    //status change to close
                    WPidleBox.idleContent = false;
                    WPidleBox.idleCSS_wrap.css("display","none");

                });

                if(WPidleBox.use_GA){
                    //use ga
                    try {
                        //send , event , eventCategory , eventAction  , eventLabel  ,eventValue
                        ga('send', 'event', WPidleBox.GCat , WPidleBox.GAction, WPidleBox.GLable,1);
                    } catch (e) {}

                }

                //do not repeat
                if(!WPidleBox.idleRepeat){
                    WPidleBox.allowidle = false
                }
            };
            WPidleBox.idleContent = true;
            window.clearTimeout(WPidleBox.idleTimer)
        },
        //close idle and rest timer to start
        idleClose: function() {
            if (!WPidleBox.idleContent){
                WPidleBox.startIdleTimer();
            }
        },

    };

    WPidleBox.init();



});


