<?php

/**
 * WordPress settings API  class
 *
 * @author Tareq Hasan
 */
if ( !class_exists('achang_ContentAds_Setting_Panel' ) ):
class achang_ContentAds_Setting_Panel {

    private $settings_api;

    function __construct() {
        $this->settings_api = new WeDevs_Settings_API;

        add_action( 'admin_init', array($this, 'admin_init') );
        add_action( 'admin_menu', array($this, 'admin_menu') );
    }

    function admin_init() {

        //set the settings
        $this->settings_api->set_sections( $this->get_settings_sections() );
        $this->settings_api->set_fields( $this->get_settings_fields() );

        //initialize settings
        $this->settings_api->admin_init();
    }

    function admin_menu() {
        add_options_page( '阿腸內容廣告', '阿腸內容廣告', 'delete_posts', 'achang-contentads-settings', array($this, 'plugin_page') );
    }

    function get_settings_sections() {
        $sections = array(
            array(
                'id'    => 'achangCA_basics',
                'title' => __( 'PIXNET 廣告版位設定', 'achang' )
            ),
            array(
                'id'    => 'achangCA_ampads',
                'title' => __( 'AMP 廣告設定', 'achang' )
            ),
            array(
                'id'    => 'achangCA_mpads',
                'title' => __( 'Mobile/PC', 'achang' )
            ),
            array(
                'id'    => 'achangCA_pcads',
                'title' => __( 'PC AUTO', 'achang' )
            ),
            array(
                'id'    => 'achangCA_mobileads',
                'title' => __( 'Mobile AUTO', 'achang' )
            ),

            array(
                'id'    => 'achangCA_idleads',
                'title' => __( 'IDLE', 'achang' )
            ),
            array(
                'id'    => 'achangCA_stickyad',
                'title' => __( 'Anchor ', 'achang' )
            ),

        );
        return $sections;
    }

    /**
     * Returns all the settings fields
     *
     * @return array settings fields
     */
    function get_settings_fields() {
        $settings_fields = array(
            'achangCA_basics' => array(
                /*
                // v1.4 disble the function
                array(
                    'name'  => 'after_more',
                    'label' => __( '已有MORE廣告', 'achang' ),
                    'desc'  => __( '若有插入More位置的文中廣告請勾選此項，避免自動廣告太近。', 'achang' ),
                    'type'  => 'checkbox'
                ),
                */

                array(
                    'name'              => 'piroity',
                    'label'             => __( '廣告優先權', 'achang' ),
                    'desc'              => __( '預設 10 ， 數字小為優先 。', 'achang' ),
                    'placeholder'       => __( '1.99', 'achang' ),
                    'min'               => 0,
                    'max'               => 9999,
                    'step'              => '1',
                    'type'              => 'number',
                    'default'           => '10',
                    'sanitize_callback' => 'floatval'
                ),

                array(
                    'name'  => 'mt',
                    'label' => __( '【 <span style="background:yellow">1. 手機內文上</span> 】  <br /> 代碼: MT 336x280', 'achang' ),
                    'desc'  => __( 'mt 勾選為 使用 Mobile Top [手機]內文上 (336x280)。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'  => 'mc',
                    'label' => __( '【 <span style="background:yellow">2. 手機內文中</span> 】  <br /> 代碼：MC auto 336x280', 'achang' ),
                    'desc'  => __( 'mc 勾選為 使用 Mobile Center [手機]內文中 (336x280)。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'  => 'me',
                    'label' => __( '【 <span style="background:yellow">3. 手機內文下</span> 】<br /> 代碼：MC auto 336x280', 'achang' ),
                    'desc'  => __( 'me 勾選為 使用 Mobile End [手機]內文下方 336x280 。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'  => 'mc_auto',
                    'label' => __( '【 <span style="background:pink">Mobile自動</span> 】  <br /> 代碼：MC auto 336x280', 'achang' ),
                    'desc'  => __( 'mc_auto 勾選為 使用 Mobile Auto [手機]內文自動廣告 (336x280)，預設距離 800px 。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),

                array(
                    'name'  => 'm_anchor',
                    'label' => __( '【 <span style="background:pink">錨定廣告</span> 】<br /> 代碼：MC Anchor 300x100', 'achang' ),
                    'desc'  => __( 'm_anchor 勾選為 使用 Mobile Anchor [手機]錨底廣告 (300x100) 。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),

                array(
                    'name'  => 'dt',
                    'label' => __( '【 <span style="background:yellow">4. 電腦內文上</span> 】<br /> 代碼：DC auto 336x280', 'achang' ),
                    'desc'  => __( 'dt 勾選為 使用 Desktop Top [電腦]內文上方廣告 (336x280)', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),


               array(
                    'name'  => 'dc',
                    'label' => __( '【 <span style="background:yellow">5. 電腦內文中</span> 】  <br /> 代碼：DC auto 336x280', 'achang' ),
                    'desc'  => __( 'dc 勾選為 使用 Desktop Center [電腦]內文中 (336x280)。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'  => 'de',
                    'label' => __( '【 <span style="background:yellow">6. 電腦內文下</span>  】<br /> 代碼：DC auto 336x280。', 'achang' ),
                    'desc'  => __( 'de 勾選為 使用 Desktop End [手機]內文下方 336x280 。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'  => 'ds',
                    'label' => __( '【 <span style="background:yellow">7. 側邊固定</span> 】<br /> 代碼：DS 300x600 sticky', 'achang' ),
                    'desc'  => __( 'ds 勾選為 使用 Desktop Sidebar [電腦]側邊欄固定廣告 (300x600)', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'  => 'dc_auto',
                    'label' => __( '【 <span style="background:pink">PC 自動</span> 】<br /> DC auto 336x280', 'achang' ),
                    'desc'  => __( 'dc_auto 勾選為 使用 Desktop Auto [電腦]內文自動廣告 (336x280)，預設距離 900px 。', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),

                array(
                    'name'  => 'floater',
                    'label' => __( '【 <span style="background:pink">影音</span> 】<br /> 代碼：Floater', 'achang' ),
                    'desc'  => __( 'floater 勾選為 使用 Desktop Floater [電腦]右下角欄影音廣告', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'  => 'idle',
                    'label' => __( '【 <span style="background:pink">閒置</span> 】<br /> 代碼： idle', 'achang' ),
                    'desc'  => __( 'idle 勾選為 使用 idle [電腦] 閒置3分鐘廣告 (970x250)', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),

                array(
                    'name'  => 'dt_menu',
                    'label' => __( '【 電腦選單下 】<br /> 代碼：DT 970x250', 'achang' ),
                    'desc'  => __( 'dt_menu 勾選為 使用 Desktop Top [電腦]內文上方廣告 (970x250)', 'achang' ),
                    'type'  => 'checkbox',
                    'default' => 'on'
                ),
                array(
                    'name'              => 'dt_position',
                    'label'             => __( '', 'achang' ),
                    'desc'              => __( '請輸入插入位置的 div id 或 html tag，例如 header / #header / #menu', 'achang' ),
                    'placeholder'       => __( 'menu', 'achang' ),
                    'type'              => 'text',
                    'default'           => 'menu',
                ),


                // array(
                //     'name'              => 'text_val',
                //     'label'             => __( 'Text Input', 'achang' ),
                //     'desc'              => __( 'Text input description', 'achang' ),
                //     'placeholder'       => __( 'Text Input placeholder', 'achang' ),
                //     'type'              => 'text',
                //     'default'           => 'Title',
                //     'sanitize_callback' => 'sanitize_text_field'
                // ),
                // array(
                //     'name'              => 'number_input',
                //     'label'             => __( 'Number Input', 'achang' ),
                //     'desc'              => __( 'Number field with validation callback `floatval`', 'achang' ),
                //     'placeholder'       => __( '1.99', 'achang' ),
                //     'min'               => 0,
                //     'max'               => 100,
                //     'step'              => '0.01',
                //     'type'              => 'number',
                //     'default'           => 'Title',
                //     'sanitize_callback' => 'floatval'
                // ),
                // array(
                //     'name'        => 'textarea',
                //     'label'       => __( 'Textarea Input', 'achang' ),
                //     'desc'        => __( 'Textarea description', 'achang' ),
                //     'placeholder' => __( 'Textarea placeholder', 'achang' ),
                //     'type'        => 'textarea'
                // ),
                // array(
                //     'name'        => 'html',
                //     'desc'        => __( 'HTML area description. You can use any <strong>bold</strong> or other HTML elements.', 'achang' ),
                //     'type'        => 'html'
                // ),
                // array(
                //     'name'  => 'checkbox',
                //     'label' => __( 'Checkbox', 'achang' ),
                //     'desc'  => __( 'Checkbox Label', 'achang' ),
                //     'type'  => 'checkbox'
                // ),
                // array(
                //     'name'    => 'radio',
                //     'label'   => __( 'Radio Button', 'achang' ),
                //     'desc'    => __( 'A radio button', 'achang' ),
                //     'type'    => 'radio',
                //     'options' => array(
                //         'yes' => 'Yes',
                //         'no'  => 'No'
                //     )
                // ),
                // array(
                //     'name'    => 'selectbox',
                //     'label'   => __( 'A Dropdown', 'achang' ),
                //     'desc'    => __( 'Dropdown description', 'achang' ),
                //     'type'    => 'select',
                //     'default' => 'no',
                //     'options' => array(
                //         'yes' => 'Yes',
                //         'no'  => 'No'
                //     )
                // ),
                // array(
                //     'name'    => 'password',
                //     'label'   => __( 'Password', 'achang' ),
                //     'desc'    => __( 'Password description', 'achang' ),
                //     'type'    => 'password',
                //     'default' => ''
                // ),
                // array(
                //     'name'    => 'file',
                //     'label'   => __( 'File', 'achang' ),
                //     'desc'    => __( 'File description', 'achang' ),
                //     'type'    => 'file',
                //     'default' => '',
                //     'options' => array(
                //         'button_label' => 'Choose Image'
                //     )
                // ),
                // array(
                //     'name'    => 'color',
                //     'label'   => __( 'Color', 'achang' ),
                //     'desc'    => __( 'Color description', 'achang' ),
                //     'type'    => 'color',
                //     'default' => ''
                // ),
                // array(
                //     'name'    => 'password',
                //     'label'   => __( 'Password', 'achang' ),
                //     'desc'    => __( 'Password description', 'achang' ),
                //     'type'    => 'password',
                //     'default' => ''
                // ),
                // array(
                //     'name'    => 'wysiwyg',
                //     'label'   => __( 'Advanced Editor', 'achang' ),
                //     'desc'    => __( 'WP_Editor description', 'achang' ),
                //     'type'    => 'wysiwyg',
                //     'default' => ''
                // ),
                // array(
                //     'name'    => 'multicheck',
                //     'label'   => __( 'Multile checkbox', 'achang' ),
                //     'desc'    => __( 'Multi checkbox description', 'achang' ),
                //     'type'    => 'multicheck',
                //     'default' => array('one' => 'one', 'four' => 'four'),
                //     'options' => array(
                //         'one'   => 'One',
                //         'two'   => 'Two',
                //         'three' => 'Three',
                //         'four'  => 'Four'
                //     )
                // ),
            ),
            'achangCA_mpads' => array(
                // array(
                //     'name'  => 'use_ad',
                //     'label' => __( '使用廣告', 'achang' ),
                //     'desc'  => __( '勾選為使用此區設定。 <br />
                //                     若 <span style="color:blue">[PIXNET 廣告版位設定]</span>：<span style="color:green">勾選啟用狀態</span>，本區設定值將<span style="color:red">自動失效</span>。
                //                     ', 'achang' ),
                //     'type'  => 'checkbox'
                // ),
                array(
                    'name'   => 'html_announce',
                    'desc'   => __( ' 若 <span style="color:blue">[PIXNET 廣告版位設定]</span>對應版位<span style="color:green">勾選啟用狀態</span>，本區設定值將<span style="color:red">自動失效</span>。', 'achang' ),
                    'type'   => 'html'
                ),
                array(
                    'name'        => 'mt',
                    'label'       => __( 'Mobile 上方', 'achang' ),
                    'desc'        => __( '廣告代碼放置區，【1 MT】', 'achang' ),
                    'placeholder' => __( '', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'        => 'mc',
                    'label'       => __( 'Mobile 中間', 'achang' ),
                    'desc'        => __( '廣告代碼放置區，【2 MC】', 'achang' ),
                    'placeholder' => __( '', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'        => 'me',
                    'label'       => __( 'Mobile 下方', 'achang' ),
                    'desc'        => __( '廣告代碼放置區，【3 ME】', 'achang' ),
                    'placeholder' => __( '', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'        => 'dt',
                    'label'       => __( 'PC 上方', 'achang' ),
                    'desc'        => __( '廣告代碼放置區，【4 DT】', 'achang' ),
                    'placeholder' => __( '', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'        => 'dc',
                    'label'       => __( 'PC 中間', 'achang' ),
                    'desc'        => __( '廣告代碼放置區，【5 DC】', 'achang' ),
                    'placeholder' => __( '', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'        => 'de',
                    'label'       => __( 'PC 下方', 'achang' ),
                    'desc'        => __( '廣告代碼放置區，【6 DE】', 'achang' ),
                    'placeholder' => __( '', 'achang' ),
                    'type'        => 'textarea'
                ),
            ),
            'achangCA_pcads' => array(
                array(
                    'name'  => 'use_ad',
                    'label' => __( '使用廣告', 'achang' ),
                    'desc'  => __( '勾選為使用此區設定。 <br />
                                    若 <span style="color:blue">[PIXNET 廣告版位設定]</span>：<span style="color:green">勾選啟用狀態</span>，本區設定值將<span style="color:red">自動失效</span>。
                                    ', 'achang' ),
                    'type'  => 'checkbox'
                ),
                array(
                    'name'        => 'contentAD_1',
                    'label'       => __( '廣告代碼', 'achang' ),
                    'desc'        => __( '請放入廣告代碼。', 'achang' ),
                    'placeholder' => __( '請直接放入廣告代碼，不使用請留白。', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'              => 'adheightlimit',
                    'label'             => __( '廣告間距', 'achang' ),
                    'desc'              => __( '預設為 900px 自動置入一個廣告，請輸入 500~5000之間數字。', 'achang' ),
                    'placeholder'       => __( '900', 'achang' ),
                    'min'               => 500,
                    'max'               => 5000,
                    'step'              => '1',
                    'type'              => 'number',
                    'default'           => '900',
                    'sanitize_callback' => 'intval'
                ),
                array(
                    'name'    => 'adlimit',
                    'label'   => __( '廣告數量', 'achang' ),
                    'desc'    => __( '預設值為20個，可依需求調整。', 'achang' ),
                    'type'    => 'select',
                    'default' => '20',
                    'options' => array(
                        '1' => '1',
                        '2' => '2',
                        '3' => '3',
                        '4' => '4',
                        '5' => '5',
                        '6' => '6',
                        '7' => '7',
                        '8' => '8',
                        '9' => '9',
                        '10' => '10',
                        '11' => '11',
                        '12' => '12',
                        '13' => '13',
                        '14' => '14',
                        '15' => '15',
                        '16' => '16',
                        '17' => '17',
                        '18' => '18',
                        '19' => '19',
                        '20' => '20'
                    )
                ),

            ),
            'achangCA_mobileads' => array(
                array(
                    'name'  => 'use_ad',
                    'label' => __( '使用廣告', 'achang' ),
                    'desc'  => __( '勾選為使用此區設定。 <br />
                                    若 <span style="color:blue">[PIXNET 廣告版位設定]</span>：<span style="color:green">勾選啟用狀態</span>，本區設定值將<span style="color:red">自動失效</span>。
                                    ', 'achang' ),
                    'type'  => 'checkbox'
                ),
                array(
                    'name'        => 'contentAD_1',
                    'label'       => __( '廣告代碼', 'achang' ),
                    'desc'        => __( '請放入廣告代碼。', 'achang' ),
                    'placeholder' => __( '請直接放入廣告代碼，不使用請留白。', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'              => 'adheightlimit',
                    'label'             => __( '廣告間距', 'achang' ),
                    'desc'              => __( '預設為 800px 自動置入一個廣告，請輸入 500~5000之間數字。', 'achang' ),
                    'placeholder'       => __( '800', 'achang' ),
                    'min'               => 500,
                    'max'               => 5000,
                    'step'              => '1',
                    'type'              => 'number',
                    'default'           => '800',
                    'sanitize_callback' => 'intval'
                ),
                array(
                    'name'    => 'adlimit',
                    'label'   => __( '廣告數量', 'achang' ),
                    'desc'    => __( '預設值最多為20個，可依需求調整。', 'achang' ),
                    'type'    => 'select',
                    'default' => '20',
                    'options' => array(
                        '1' => '1',
                        '2' => '2',
                        '3' => '3',
                        '4' => '4',
                        '5' => '5',
                        '6' => '6',
                        '7' => '7',
                        '8' => '8',
                        '9' => '9',
                        '10' => '10',
                        '11' => '11',
                        '12' => '12',
                        '13' => '13',
                        '14' => '14',
                        '15' => '15',
                        '16' => '16',
                        '17' => '17',
                        '18' => '18',
                        '19' => '19',
                        '20' => '20'
                    )
                ),
            ),
            'achangCA_ampads' => array(
                array(
                    'name'  => 'use_ad',
                    'label' => __( '使用廣告', 'achang' ),
                    'desc'  => __( '勾選為使用此區設定。 <br />
                                    本區設定<span style="color:green">不受 PIXNET 影響，為獨立運作</span>。
                                    ', 'achang' ),
                    'type'  => 'checkbox'
                ),
                array(
                    'name'        => 'contentAD_1',
                    'label'       => __( '廣告代碼', 'achang' ),
                    'desc'        => __( '請放入廣告代碼。', 'achang' ),
                    'placeholder' => __( '請直接放入廣告代碼，不使用請留白。', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'        => 'html',
                    'desc'        => __( '請留意，廣告語法須為以下範例，否則無法正確執行。 <br />範例語法： &#x3C;amp-ad width=300 height=250 type=&#x22;adsense&#x22; data-ad-client=&#x22;ca-pub-1091185987547968&#x22; data-ad-slot=&#x22;1426504013&#x22;&#x3E;&#x3C;/amp-ad&#x3E;', 'achang' ),
                    'type'        => 'html'
                ),
                array(
                    'name'              => 'adplimit',
                    'label'             => __( '廣告間距', 'achang' ),
                    'desc'              => __( '預設為 15個p 自動置入一個廣告，請輸入 10~100之間數字。', 'achang' ),
                    'placeholder'       => __( '15', 'achang' ),
                    'min'               => 10,
                    'max'               => 100,
                    'step'              => '1',
                    'type'              => 'number',
                    'default'           => '15',
                    'sanitize_callback' => 'intval'
                ),
                array(
                    'name'    => 'adlimit',
                    'label'   => __( '廣告數量', 'achang' ),
                    'desc'    => __( '預設值最多為15個，可依需求調整。', 'achang' ),
                    'type'    => 'select',
                    'default' => '15',
                    'options' => array(
                        '1' => '1',
                        '2' => '2',
                        '3' => '3',
                        '4' => '4',
                        '5' => '5',
                        '6' => '6',
                        '7' => '7',
                        '8' => '8',
                        '9' => '9',
                        '10' => '10',
                        '11' => '11',
                        '12' => '12',
                        '13' => '13',
                        '14' => '14',
                        '15' => '15',
                        '16' => '16',
                        '17' => '17',
                        '18' => '18',
                        '19' => '19',
                        '20' => '20'
                    )
                ),
            ),
           'achangCA_idleads' => array(
                array(
                    'name'  => 'use_ad',
                    'label' => __( '使用廣告', 'achang' ),
                    'desc'  => __( '勾選為使用此區設定。 <br />
                                    若 <span style="color:blue">[PIXNET 廣告版位設定]</span>：<span style="color:green">勾選啟用狀態</span>，本區設定值將<span style="color:red">自動失效</span>。
                                    ', 'achang' ),
                    'type'  => 'checkbox'
                ),
                array(
                    'name'  => 'idleRepeat',
                    'label' => __( '允許重複執行', 'achang' ),
                    'desc'  => __( '勾選為重複執行，不勾選為廣告只有閒置一次', 'achang' ),
                    'type'  => 'checkbox'
                ),
                array(
                    'name'  => 'use_GA',
                    'label' => __( '允許GA事件追蹤', 'achang' ),
                    'desc'  => __( '勾選允許GA事件追蹤參數。', 'achang' ),
                    'type'  => 'checkbox'
                ),
                array(
                    'name'              => 'idleWaitTime',
                    'label'             => __( '閒置時間', 'achang' ),
                    'desc'              => __( '預設為 3 分鐘，請輸入 1~20之間數字。', 'achang' ),
                    'placeholder'       => __( '3', 'achang' ),
                    'min'               => 1,
                    'max'               => 20,
                    'step'              => '1',
                    'type'              => 'number',
                    'default'           => '3',
                    'sanitize_callback' => 'intval'
                ),
                array(
                    'name'        => 'contentAD_1',
                    'label'       => __( '廣告代碼', 'achang' ),
                    'desc'        => __( '請放入廣告代碼。，970x250', 'achang' ),
                    'placeholder' => __( '請直接放入廣告代碼，不使用請留白。', 'achang' ),
                    'type'        => 'textarea'
                ),
            ),
            'achangCA_stickyad' => array(
                array(
                    'name'  => 'use_ad',
                    'label' => __( '使用廣告', 'achang' ),
                    'desc'  => __( '勾選為使用此區設定。 <br />
                                    若 <span style="color:blue">[PIXNET 廣告版位設定]</span>：<span style="color:green">勾選啟用狀態</span>，本區設定值將<span style="color:red">自動失效</span>。
                                    ', 'achang' ),
                    'type'  => 'checkbox'
                ),
                /*
                // v1.4 disble the function
                array(
                    'name'  => 'use_close_btn',
                    'label' => __( '顯示關閉按鈕', 'achang' ),
                    'desc'  => __( '勾選以顯示關閉(X)按鈕，不勾選擇不提供。', 'achang' ),
                    'type'  => 'checkbox'
                ),
                */
                array(
                    'name'        => 'contentAD_1',
                    'label'       => __( '錨定廣告代碼', 'achang' ),
                    'desc'        => __( '請輸入錨定廣告代碼', 'achang' ),
                    'placeholder' => __( '請直接放入廣告代碼，不使用請留白。', 'achang' ),
                    'type'        => 'textarea'
                ),
                array(
                    'name'  => 'use_mobile_hotcode',
                    'label' => __( '啟動 熱字代碼', 'achang' ),
                    'desc'  => __( '勾選以啟用下方 【熱字】 代碼。', 'achang' ),
                    'type'  => 'checkbox'
                ),
                array(
                    'name'        => 'mobile_head_hotcode',
                    'label'       => __( '熱字代碼', 'achang' ),
                    'desc'        => __( '熱字廣告專用代碼區', 'achang' ),
                    'placeholder' => __( '請直接放入廣告代碼，不使用請留白。', 'achang' ),
                    'type'        => 'textarea'
                ),
            ),

        );

        return $settings_fields;
    }

    function plugin_page() {
        echo '<div class="wrap">';

        $this->settings_api->show_navigation();
        $this->settings_api->show_forms();

        echo '</div>';
    }

    /**
     * Get all the pages
     *
     * @return array page names with key value pairs
     */
    function get_pages() {
        $pages = get_pages();
        $pages_options = array();
        if ( $pages ) {
            foreach ($pages as $page) {
                $pages_options[$page->ID] = $page->post_title;
            }
        }

        return $pages_options;
    }

}
endif;
