<?php
abstract class achangCA_Meta_Box
{
    public static function add()
    {
        $screens = ['post'];
        foreach ($screens as $screen) {
            add_meta_box(
                'achangca_post_setting',          // Unique ID
                '阿腸內文廣告設定', 				// Box title
                [self::class, 'html'],   // Content callback, must be of type callable
                $screen,                  // Post type
                'side'					// Position
            );
        }
    }

    public static function save($post_id)
    {
        $achangca_switch = array(
            'pc' => isset($_POST['achangca_switch']) && isset($_POST['achangca_switch']['pc']) ? $_POST['achangca_switch']['pc'] : 'no',
            'mo' => isset($_POST['achangca_switch']) && isset($_POST['achangca_switch']['mo']) ? $_POST['achangca_switch']['mo'] : 'no'
        );

        update_post_meta(
            $post_id,
            '_achangca_meta_key',
            $achangca_switch
        );
    }

    public static function html($post)
    {
        $achangca_switch = get_post_meta($post->ID, '_achangca_meta_key', TRUE);

        $pc_set = isset($achangca_switch['pc']) && $achangca_switch['pc'] === 'yes' ? 'yes' : 'no';
        $mo_set = isset($achangca_switch['mo']) && $achangca_switch['mo'] === 'yes' ? 'yes' : 'no';

		 ?>
		 	<p class="howto"> 如果文章不想顯示自動廣告請於本處勾選設定排除。</p>
		 	<style>
		 	.acca_meta{line-height: 30px;}
		 	</style>
  			<div class="acca_meta">
    			<input id="achangca_switch_pc" type="checkbox" name="achangca_switch[pc]" value="yes" <?php checked( "yes",$pc_set , true); ?> /><label for="achangca_switch_pc">PC 不顯示自動廣告</label>
    		</div>
    		<div class="acca_meta">
    			<input id="achangca_switch_mo" type="checkbox" name="achangca_switch[mo]" value="yes" <?php checked("yes", $mo_set, true); ?>  /><label for="achangca_switch_mo">Mobile 不顯示自動廣告</label>
    		</div>
        <?php
    }
}

add_action('add_meta_boxes', ['achangCA_Meta_Box', 'add']);
add_action('save_post', ['achangCA_Meta_Box', 'save']);
