<?php

class achangContentAdsUpdate {
	public static $api_url = 'https://achang.tw/wp-update/';
	public static $wp_version;
	
	public static function init(){
		global $wp_version;

		add_filter('pre_set_site_transient_update_plugins', array(__CLASS__, 'check_for_plugin_update'));
		add_filter('plugins_api', array(__CLASS__, 'plugin_api'), 20, 3);

		self::$wp_version = $wp_version;

		if( is_admin() ){
			$current = get_transient('update_themes');
		}
	}

	public static function check_for_plugin_update($checked_data) {

		$send_for_check = array(
			'body' => array(
				'action' => 'plugin_update',
				'request' => serialize(array(
					'slug' => achangContentAds::$plugin_name,
					'version' => achangContentAds::get_plugin_data('Version')
				)),
				'api-key' => md5(get_bloginfo('url'))
			),
			'user-agent' => 'WordPress/' . self::$wp_version . '; ' . get_bloginfo('url')
		);

		$raw_response = wp_remote_post(self::$api_url, $send_for_check);

		if (!is_wp_error($raw_response) && ($raw_response['response']['code'] == 200)) {
			if( $response = unserialize($raw_response['body']) ) {
				if (!empty($response)) 
					$checked_data->response[achangContentAds::$plugin] = $response;
			}
		}
		
		return $checked_data;
	}

	public static function plugin_api($def, $action, $args) {

		if (!isset($args->slug) || ($args->slug != achangContentAds::$plugin_name))
			return FALSE;

		$plugin_info = get_site_transient('update_plugins');

		$current_version = achangContentAds::get_plugin_data('Version');
		$args->version = $current_version;

		$request_string = array(
			'body' => array(
				'action' => $action, 
				'request' => serialize($args),
				'api-key' => md5(get_bloginfo('url'))
			),
			'user-agent' => 'WordPress/' . self::$wp_version . '; ' . get_bloginfo('url')
		);
	
		$request = wp_remote_post(self::$api_url, $request_string);

		if (is_wp_error($request)) {
			$res = new WP_Error('plugins_api_failed', __('An Unexpected HTTP Error occurred during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>'), $request->get_error_message());
		} else {
			$res = unserialize($request['body']);

			if ($res === false)
				$res = new WP_Error('plugins_api_failed', __('An unknown error occurred'), $request['body']);
		}
		
		return $res;
	}
}

?>