<?php
/**
 * Pixnet Ad Widget.
 */
class Floater_widget extends WP_Widget {

    /**
     * Register widget with WordPress.
     */
    public function __construct() {
        parent::__construct(
            'floater_widget', // Base ID
            '【阿腸廣告】 Floater 側邊影音模組', // Name
            array( 'description' => __( 'Floater 影音廣告
            痞客邦廣告專用模組。', 'achang' ), ) // Args
        );
    }

    /**
     * Front-end display of widget.
     *
     * @see WP_Widget::widget()
     *
     * @param array $args     Widget arguments.
     * @param array $instance Saved values from database.
     */
    public function widget( $args, $instance ) {
        extract( $args );
        echo $before_widget;
        echo '
<style>@media screen and (max-width:480px) {.pix-floater{display:none}}</style>
<div class="pix-floater"><!-- [Personal Media] Floater -->
<ins class="adsbyfalcon" data-ad-client="1" data-ad-slot="3929" style="display:inline-block;width:300px;height:169px"></ins>
<script async src="https://falcon-asset.pixfs.net/js/adsbyfalcon.min.js"></script></div>';

        echo $after_widget;
    }

    /**
     * Back-end widget form.
     *
     * @see WP_Widget::form()
     *
     * @param array $instance Previously saved values from database.
     */
    public function form( $instance ) {
        if ( isset( $instance[ 'title' ] ) ) {
            $title = $instance[ 'title' ];
        }
        else {
            $title = __( '影音', 'achang' );
        }
        ?>
        <p>
        	阿腸 x 痞客邦廣告專用模組： Floater 電腦右下角廣告模組。<br /><br />
        	<span style="color:red">任意移動廣告位置可能造成收益損失</span>
        </p>
    <?php
    }

    /**
     * Sanitize widget form values as they are saved.
     *
     * @see WP_Widget::update()
     *
     * @param array $new_instance Values just sent to be saved.
     * @param array $old_instance Previously saved values from database.
     *
     * @return array Updated safe values to be saved.
     */
    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';

        return $instance;
    }

} // class Floater_widget


class DesktopSticky_widget extends WP_Widget {

    /**
     * Register widget with WordPress.
     */
    public function __construct() {
        parent::__construct(
            'DesktopSticky_widget', // Base ID
            '【阿腸廣告】 Sticky 側邊固定模組(300x600)', // Name
            array( 'description' => __( ' Desktop Sticky 電腦側邊欄最後一個固定廣告，
            痞客邦廣告專用模組。', 'achang' ), ) // Args
        );
    }

    /**
     * Front-end display of widget.
     *
     * @see WP_Widget::widget()
     *
     * @param array $args     Widget arguments.
     * @param array $instance Saved values from database.
     */
    public function widget( $args, $instance ) {
        extract( $args );
        $use_auto_sticky =  $instance['use_auto_sticky'];
        $endpoint =  $instance['endpoint'];
        $top_margin =  $instance['top_margin'];
        $bottom_margin =  $instance['bottom_margin'];
        echo $before_widget;

if($use_auto_sticky="on"){
	echo '
	<script>
	   if (jQuery(".widget_desktopsticky_widget").length && jQuery(window).width() > 840) {
	      var el = jQuery(".widget_desktopsticky_widget");
	      var stickyTop = jQuery(".widget_desktopsticky_widget").offset().top;

	      jQuery(window).scroll(function(){ // scroll event

                if ( jQuery("'.$endpoint.'").length){

                    var limit = jQuery("'.$endpoint.'").offset().top - el.height() - '.$bottom_margin.';
                    var windowTop = jQuery(window).scrollTop(); // returns number

                    if (stickyTop < windowTop){
                     el.css({ position: "fixed", top: '.$top_margin.' });
                    }
                    else {
                     el.css("position","static");
                    }

                    if (limit < windowTop) {
                    var diff = limit - windowTop;
                    el.css({top: diff});
                    }

                }

	       });
	   }
	</script>
	';
}
        echo '
        <!-- [Personal Media] Desktop Article Sidebar 300x600 -->
<ins class="adsbyfalcon" data-ad-client="1" data-ad-slot="3904" style="display:inline-block;width:300px;height:600px"></ins>
<script async src="https://falcon-asset.pixfs.net/js/adsbyfalcon.min.js"></script>';

        echo $after_widget;
    }

    /**
     * Back-end widget form.
     *
     * @see WP_Widget::form()
     *
     * @param array $instance Previously saved values from database.
     */
    public function form( $instance ) {
        if ( isset( $instance[ 'endpoint' ] ) ) {
            $endpoint = $instance[ 'endpoint' ];
        }
        else {
            $endpoint = "#footer";
        }
        if ( isset( $instance[ 'top_margin' ] ) ) {
            $top_margin = $instance[ 'top_margin' ];
        }
        else {
            $top_margin = "90";
        }
        if ( isset( $instance[ 'bottom_margin' ] ) ) {
            $bottom_margin = $instance[ 'bottom_margin' ];
        }
        else {
            $bottom_margin = "150";
        }
        if ( isset( $instance[ 'use_auto_sticky' ] ) ) {
            $use_auto_sticky = $instance[ 'use_auto_sticky' ];
        }
        else {
            $use_auto_sticky = "off";
        }

        ?>
        <p>
        	阿腸 x 痞客邦廣告專用模組： 電腦版側邊欄最末固定式浮動廣告。<br /><br />
        	<span style="color:red">任意移動廣告位置可能造成收益損失</span>
        </p>
        <div class="" style="border:2px solid #008EC2;padding:10px;margin-bottom: 20px">
        	<h3 style="color:#008EC2">工程人員專用設定</h3>
			<p>
			    <input class="checkbox" type="checkbox" <?php checked( $instance[ 'use_auto_sticky' ], 'on' ); ?> id="<?php echo $this->get_field_id( 'use_auto_sticky' ); ?>" name="<?php echo $this->get_field_name( 'use_auto_sticky' ); ?>" />
			    <label for="<?php echo $this->get_field_id( 'use_auto_sticky' ); ?>">自動固定小工具 ( <span style="color:blue">請勿與 Q2W3 Fixed 同時使用</span>)</label>
			</p>
	        <p>
	            <label for="<?php echo $this->get_field_name( 'endpoint' ); ?>"><?php _e( '停止點CSS ID / CSS Class' ); ?></label>
	            <input class="widefat" id="<?php echo $this->get_field_id( 'endpoint' ); ?>" name="<?php echo $this->get_field_name( 'endpoint' ); ?>" type="text" value="<?php echo esc_attr( $endpoint ); ?>" />
	         </p>
			<p>
	            <label for="<?php echo $this->get_field_name( 'top_margin' ); ?>"><?php _e( '上邊界' ); ?></label>
	            <input class="small-text" id="<?php echo $this->get_field_id( 'top_margin' ); ?>" name="<?php echo $this->get_field_name( 'top_margin' ); ?>" type="text" value="<?php echo esc_attr( $top_margin ); ?>" />像素
	         </p>
	         <p>
	            <label for="<?php echo $this->get_field_name( 'bottom_margin' ); ?>"><?php _e( '下邊界' ); ?></label>
	            <input class="small-text" id="<?php echo $this->get_field_id( 'bottom_margin' ); ?>" name="<?php echo $this->get_field_name( 'bottom_margin' ); ?>" type="text" value="<?php echo esc_attr( $bottom_margin ); ?>" />像素
	         </p>
     	</div>
    <?php
    }

    /**
     * Sanitize widget form values as they are saved.
     *
     * @see WP_Widget::update()
     *
     * @param array $new_instance Values just sent to be saved.
     * @param array $old_instance Previously saved values from database.
     *
     * @return array Updated safe values to be saved.
     */
    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance[ 'use_auto_sticky' ] = strip_tags( $new_instance[ 'use_auto_sticky' ] );
        $instance['endpoint'] = ( !empty( $new_instance['endpoint'] ) ) ? strip_tags( $new_instance['endpoint'] ) : '';
        $instance['top_margin'] = ( !empty( $new_instance['top_margin'] ) ) ? strip_tags( $new_instance['top_margin'] ) : '';
        $instance['bottom_margin'] = ( !empty( $new_instance['bottom_margin'] ) ) ? strip_tags( $new_instance['bottom_margin'] ) : '';

        return $instance;
    }

} // class DesktopSticky_widget


add_action( 'widgets_init', 'register_achangAD' );

function register_achangAD() {
    register_widget( 'Floater_widget' );
    register_widget( 'DesktopSticky_widget' );
}
